package com.dayou.service;
import com.dayou.dto.TaskRecordDTO;
import com.dayou.entity.PersonalTarget;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.*;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 个贷估价对象 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
public interface IPersonalTargetService extends IService<PersonalTarget> {

        Page<PersonalTarget> selectPage(Page page,PersonalTarget personalTarget);

        PersonalTarget detail(Long id);

        Boolean add(PersonalTarget personalTarget);

        Boolean updateFeedback(PersonalTarget personalTarget);

        Boolean delete(Long id);

    Boolean updatePrice(TaskRecordDTO<PersonalTarget> taskRecordDTO);

    Boolean houseCertificate(PersonalHouseCertificateVO houseCertificateVO);

    Boolean landCertificate(PersonalLandCertificateVO landCertificateVO);
    Boolean immovableCertificate(PersonalImmovableCertificateVO immovableCertificateVO);

    Boolean entityInfo(PersonalEntityInfoVO entityInfoVO);

    Boolean backgroundInfo(PersonalBackgroundInfo backgroundInfo);

    Boolean sellingAbility(PersonalSellingAbilityVO sellingAbilityVO);

    Boolean doFeedback(TaskRecordDTO<PersonalTarget> taskRecordDTO);

    List<PersonalBackgroundInfo> fuzzyBackgroundList(String location);
}
